<!DOCTYPE html>
<html lang="en">
<head>
  <title>Animation with Canvas</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="./js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script src="./js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script type="text/javascript">
    var x = 0;
    var direction = "right", image;
    var canvas, ctx;

    $(document).ready(() => {
      if (!Modernizr.canvas)
        alert("Your browser doesn't support Canvas");
      
      animate();
    });

    function animate() {
      image = new Image();
      canvas = document.getElementById("canvas1");
      ctx = canvas.getContext("2d");

      image.onload = () => {
        ctx.clearRect(0, 0, canvas.width, canvas.height);
        ctx.drawImage(image, x, 0);
        updateDrawing();
        setInterval(animate(), 1000);
      }

      image.src = "./images/duke.png";
    }

    function updateDrawing() {
      x++;
      //Go back to beginning
      if (x > ctx.canvas.width)
        x = 0;
    }
  </script>
</head>
<body>
  <h1>Animation with Canvas</h1>
  <canvas id="canvas1" width="600" height="400" style="border: dotted gray 1px">
    Your browser doesn't support the tag Canvas
  </canvas>
</body>
</html>